Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.i18ntools
Class L10nLookup

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--weblogic.i18ntools.L10nLookup

public final class L10nLookup
extends java.util.Properties

L10nLookup is a Property object that contains the mapping between WebLogic Server log message ids and their respective Localizer properties.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class java.util.Properties
`defaults`

Method Summary
`static L10nLookup` | `getL10n()`
`Localizer` | `getLocalizer(int id)` Locate the basic Localizer class in the default locale for the integer id.
`Localizer` | `getLocalizer(int id, java.util.Locale locale)` Locate the basic Localizer class for the integer id.
`static Localizer` | `getLocalizer(java.util.Locale locale, java.lang.String className)` Locate the basic Localizer class in the desired locale for the named Localizer class
`Localizer` | `getLocalizer(java.lang.String id)` Locate the basic Localizer class in the JVM's default locale for the String id.
`Localizer` | `getLocalizer(java.lang.String id, java.util.Locale locale)` Locate the basic Localizer class in the desired locale for the String id.
`Localizer` | `getLocalizer(java.lang.String id, java.util.Locale locale, boolean detailed)` Locate the Localizer class in the desired locale for the String id.
`java.util.Vector` | `getSubSystems()` returns a list of defined subsystems.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getL10n

    public static L10nLookup getL10n()

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides:
    put in class java.util.Hashtable

### getLocalizer

    public Localizer getLocalizer(java.lang.String id,
                                  java.util.Locale locale)
                           throws java.util.MissingResourceException

  Locate the basic Localizer class in the desired locale for the String id.

  Parameters:
    `id` - 6-character string identifying a WebLogic Server message.
    `locale` - Desired locale.
  Throws:
    java.util.MissingResourceException - There is no key match id in the property file.

### getLocalizer

    public Localizer getLocalizer(java.lang.String id,
                                  java.util.Locale locale,
                                  boolean detailed)
                           throws java.util.MissingResourceException

  Locate the Localizer class in the desired locale for the String id. The detailed argument specifies whether to return the basic or detailed version of the catalog. The basic version includes version, subsystem, i18n/l10n package info, severity and message body. The detailed version includes message detail, cause and action text.

  Parameters:
    `id` - 6 character string identifying a WebLogic Server message.
    `locale` - Desired locale.
    `detailed` - true retrieves the Localizer containing detailed log message info. False retrieves the basic Localizer.
  Throws:
    java.util.MissingResourceException - There is no key match id in the property file.

### getLocalizer

    public Localizer getLocalizer(int id,
                                  java.util.Locale locale)
                           throws java.util.MissingResourceException

  Locate the basic Localizer class for the integer id.

  Parameters:
    `id` - identifies a WebLogic Server message.
    `locale` - Desired locale.
  Throws:
    java.util.MissingResourceException - There is no key matching `id` in the property file.

### getLocalizer

    public Localizer getLocalizer(java.lang.String id)
                           throws java.util.MissingResourceException

  Locate the basic Localizer class in the JVM's default locale for the String id.

  Parameters:
    `id` - 6 character string identifying a WebLogic Server message.
  Throws:
    java.util.MissingResourceException - There is no key match id in the property file.

### getLocalizer

    public Localizer getLocalizer(int id)
                           throws java.util.MissingResourceException

  Locate the basic Localizer class in the default locale for the integer id.

  Parameters:
    `id` - identifies a WebLogic Server message.
  Throws:
    java.util.MissingResourceException - There is no key match id in the property file.

### getLocalizer

    public static Localizer getLocalizer(java.util.Locale locale,
                                         java.lang.String className)
                                  throws java.util.MissingResourceException

  Locate the basic Localizer class in the desired locale for the named Localizer class

  Parameters:
    `locale` - Desired locale.
    `lclName` - name of Localizer class

### getSubSystems

    public java.util.Vector getSubSystems()

  returns a list of defined subsystems.

  Returns:
    subsystem names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference